%define	module	IO-Multiplex
%define	name	perl-%{module}
%define	version	1.09
%define	release	%mkrel 3
%define	pdir	IO

Summary:	Manage IO on many file handles
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.005
%endif
BuildRequires:	perl(IO::Socket)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles.  It is essentially a really fancy front end to
the C<select> system call.  In addition to maintaining the C<select>
loop, it buffers all input and output to/from the file handles.  It
can also accept incoming connections on one or more listen sockets.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/%{pdir}
%{_mandir}/man*/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.09-3mdv2009.0
+ Revision: 223796
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-2mdv2008.1
+ Revision: 180411
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.09-1mdv2008.0
+ Revision: 20228
- 1.09


* Sun Sep 03 2006 Scott Karns <scottk@mandriva.org> 1.08-2mdv2007.0
- Fix BuildRequires
- Fix file ownership

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.08-1mdk
- 1.08
- fix perms

* Thu Sep 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.07-1mdk
- needed by perl-Net-Server

